Speakerphone 2.1

• adds 64 bits support and requires the iLok 2 key, read more here...
• adds AAX support for Pro Tools and requires Pro Tools 10.3.8 as minimum Pro Tools version. If you run an older Pro Tools version, please use Speakerphone 2.0.5.

Download Speakerphone here

Mac OS X

• Mac with Intel CPU *
• Mac OS X 10.5 (Leopard) or higher *

Windows

• Windows 7 or 8

Tested host applications
• Ableton Live 8 & 9
• Cubase 4, 5, 6 & 7
• Digital Performer 7 & 8
• Logic Pro 8, 9 & X
• Nuendo 4,5 & 6
• Pro Tools HD, LE/Native 8,9,10 & 11
• Reaper 3 & 4
• Vienna Ensemble PRO 5
• Wavelab 7 & 8

* Speakerphone 2.0.5
Speakerphone 2.0.5 (32 bits only) works with the older iLok key (and challenge/response hard disk authorization) and from Mac OS 10.4 and also on PowerPC and on Windows XP.


Speakerphone 2

main page
features
speaker samples
complete manual
eula

Listen & watch

audio demos
what's new in 2
guided tour

Support

downloads
system requirements
copy protection
registration
forum

Buy now

buy speakerphone on-line
purchase the upgrade